curl --request PUT \
--url https://api.togai.com/v2/schedules/{schedule_id}/pricing_rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pricingRules": [
{
"name": "<string>",
"order": 123,
"computation": "<string>",
"action": {
"type": "ADD",
"target": "<string>",
"id": "<string>",
"description": "<string>",
"metadata": {}
},
"invoiceTiming": "IN_ADVANCE",
"condition": "<string>"
}
]
}
'{
"data": [
{
"id": "um.1zYnCiM9Bpg.lv25y",
"name": "Rule 1",
"version": 1,
"order": 1,
"computation": "{\"+\": [{\"var\": \"revenue.urc.um.21lmjsfcXPs.d929R\"}, {\"var\": \"usage.urc.um.21lmjObpMV6.9XeFl\"}]}\n",
"condition": "{\">\": [{\"+\": [{\"var\": \"revenue.urc.um.21lmjObpMV6.9XeFl\"}, {\"var\": \"usage.urc.um.21lmjObpMV6.9XeFl\"}]}, 100]}\n",
"action": {
"type": "UPDATE",
"target": "revenue.ff.addon.21ERXMFJ83s.9EM5S"
}
}
]
}Update pricing rules of a account schedule
curl --request PUT \
--url https://api.togai.com/v2/schedules/{schedule_id}/pricing_rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pricingRules": [
{
"name": "<string>",
"order": 123,
"computation": "<string>",
"action": {
"type": "ADD",
"target": "<string>",
"id": "<string>",
"description": "<string>",
"metadata": {}
},
"invoiceTiming": "IN_ADVANCE",
"condition": "<string>"
}
]
}
'{
"data": [
{
"id": "um.1zYnCiM9Bpg.lv25y",
"name": "Rule 1",
"version": 1,
"order": 1,
"computation": "{\"+\": [{\"var\": \"revenue.urc.um.21lmjsfcXPs.d929R\"}, {\"var\": \"usage.urc.um.21lmjObpMV6.9XeFl\"}]}\n",
"condition": "{\">\": [{\"+\": [{\"var\": \"revenue.urc.um.21lmjObpMV6.9XeFl\"}, {\"var\": \"usage.urc.um.21lmjObpMV6.9XeFl\"}]}, 100]}\n",
"action": {
"type": "UPDATE",
"target": "revenue.ff.addon.21ERXMFJ83s.9EM5S"
}
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
"sch.20aUyEZSuYq.SoGbS"
Payload to update pricing rules
Show child attributes
Name of the pricing rule
Order of the pricing rule
JSON logic to be computed
If IN_ADVANCE, the rule will be applied on rate cards with invoice timing IN_ADVANCE . If IN_ARREARS, the rule will be applied on rate cards with invoice timing IN_ARREARS .
IN_ADVANCE, IN_ARREARS JSON logic condition deciding whether to compute this pricing rule or not
Response for create/list pricing rules request
Show child attributes
x >= 1x >= 1JSON logic to be computed
If IN_ADVANCE, the rule will be applied on rate cards with invoice timing IN_ADVANCE . If IN_ARREARS, the rule will be applied on rate cards with invoice timing IN_ARREARS .
IN_ADVANCE, IN_ARREARS JSON logic condition deciding whether to compute this pricing rule or not